.resume-container {
  max-width: 800px;
  margin: auto;
  padding: 20px;

  .headings-container {
    display: flex;
    justify-content: space-around; // 水平等间距排列标题
    margin-bottom: 20px;
  }

  .resume-heading {
    // 移除 text-align: center; 因为它不再是必要的
    color: #333;
  }
}

.resume-heading {
  color: #333;
  margin: 0 10px; // Adjust spacing as needed
  cursor: pointer; // Changes the cursor to indicate a clickable area
  transition: color 0.3s ease, transform 0.3s ease; // Smooth transition for color and transform

  &:hover {
    color: #0077cc; // Changes text color on hover
    transform: translateY(-2px); // Slightly raises the heading
  }
  &:active {
    color: #0056b3;
    transform: scale(0.95);
  }
}

.resume-content {
  font-size: 1rem;
  line-height: 1.6;
  color: #444;
  position: relative; // Set position to relative for absolute positioning of children

  // Styles for entering and leaving content
  &.fade-enter,
  &.fade-leave-active {
    opacity: 0;
    transform: scale(0.95);
  }
  &.fade-enter-active,
  &.fade-leave {
    opacity: 1;
    transform: scale(1);
    transition: opacity 0.5s, transform 0.5s;
  }
}

.resume-link {
  color: #0077cc;
  text-decoration: none;
  &:hover {
    text-decoration: underline;
  }
}

.resume-image-container {
  text-align: center;
  margin-top: 20px;
}

.resume-image {
  max-width: 100%;
  height: auto;
}

// Resume.module.scss

.chitchat-form {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-bottom: 20px;
  width: 100%;

  textarea {
    width: calc(100% - 20px); // Adjust width to account for padding
    height: 150px; // Set a fixed height
    padding: 10px;
    margin-bottom: 15px;
    border: 2px solid #e2e2e2;
    border-radius: 8px;
    font-size: 1rem;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    transition: all 0.2s ease-in-out;

    &:focus {
      border-color: #007bff;
      box-shadow: 0 0 0 3px rgba(0, 123, 255, 0.25);
      outline: none;
    }
  }

  button {
    padding: 10px 15px;
    border: none;
    border-radius: 8px;
    background-color: #007bff;
    color: white;
    font-size: 1rem;
    font-weight: bold;
    cursor: pointer;
    transition: all 0.2s ease-in-out;

    &:hover {
      background-color: #0056b3;
      transform: translateY(-2px);
      box-shadow: 0 4px 6px rgba(0, 0, 0, 0.2);
    }

    &:active {
      transform: translateY(0);
      box-shadow: none;
    }
  }
}

.messages-list {
  list-style: none;
  padding: 0;
  margin-top: 20px;

  li {
    background-color: #ffffff;
    padding: 15px;
    margin-bottom: 10px;
    border: 1px solid #e2e2e2;
    border-left: 5px solid #007bff; // Adds a colored border to the left for visual interest
    border-radius: 8px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    transition: all 0.2s ease-in-out;

    &:hover {
      background-color: #f8f9fa;
      border-left-color: #0056b3;
      transform: scale(1.02);
    }
  }
}

/* Existing styles remain unchanged */
.auth-prompt {
  position: fixed;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 90%; /* Adjust width for mobile */
  max-width: 400px; /* Limit max width on larger screens */
  background-color: white;
  padding: 20px;
  box-shadow: 0 2px 10px rgba(0, 0, 0, 0.2);
  z-index: 1000; /* Ensure it appears above other content */
  border-radius: 12px; /* Round corners for a softer look */
}

/* Add styles for mobile input */
.auth-prompt input {
  width: 100%; /* Full width for mobile */
  padding: 12px; /* Increased padding for touch targets */
  font-size: 16px; /* Larger font for readability */
  border: 2px solid #007bff; /* Blue border */
  border-radius: 8px; /* Rounded corners */
  transition: border-color 0.3s, box-shadow 0.3s; /* Smooth transition */
  outline: none; /* Remove default outline */
}

.auth-prompt input:focus {
  border-color: #0056b3; /* Darker blue on focus */
  box-shadow: 0 0 5px rgba(0, 123, 255, 0.5); /* Subtle glow effect */
}

/* Style the submit button */
.auth-prompt button {
  margin-top: 10px; /* Space between input and button */
  padding: 12px; /* Padding for the button */
  font-size: 16px; /* Button font size */
  background-color: #007bff; /* Button color */
  color: white; /* Text color */
  border: none; /* No border */
  border-radius: 8px; /* Rounded corners */
  cursor: pointer; /* Pointer cursor on hover */
  transition: background-color 0.3s; /* Smooth transition for hover */
}

.auth-prompt button:hover {
  background-color: #0056b3; /* Darker shade on hover */
}

/* Modal overlay styles remain unchanged */
.modal-overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.5); /* Semi-transparent background */
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 999; /* Above other content */
}

/* Responsive styles */
@media (max-width: 600px) {
  .resume-container {
    padding: 10px;
  }
  .resume-heading {
    font-size: 1rem;
    margin: 5px;
  }
}
.auth-prompt h3 {
  font-family: "Arial", sans-serif; /* Choose a modern font */
  color: #333; /* Dark gray for a sophisticated look */
  text-align: center; /* Center align for better visual balance */
  margin: 10px 0; /* Space around the headings */
  font-weight: bold; /* Bold text for emphasis */
}

.auth-prompt h3:first-of-type {
  font-size: 1.5rem; /* Larger size for the main title */
  color: #007bff; /* Blue color for the main title */
}

.auth-prompt h3:last-of-type {
  font-size: 1.2rem; /* Slightly smaller for the subtitle */
  color: #555; /* Lighter gray for the subtitle */
  font-style: italic; /* Italicize to differentiate from the main title */
}
